Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 633988 (CVE-2017-15225) - <sys-devel/binutils-2.29.1-r1 : denial of service via a crafted ELF file in _bfd_dwarf2_cleanup_debug_info in dwarf2.c
Summary: <sys-devel/binutils-2.29.1-r1 : denial of service via a crafted ELF file in _...
Status: RESOLVED FIXED
Alias: CVE-2017-15225
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL:
Whiteboard: A3 [glsa cve]
Keywords:
Depends on:
Blocks:
 
Reported: 2017-10-10 23:28 UTC by Aleksandr Wagner (Kivak)
Modified: 2018-01-07 23:12 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aleksandr Wagner (Kivak) 2017-10-10 23:28:30 UTC
CVE-2017-15225 (http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-15225):

_bfd_dwarf2_cleanup_debug_info in dwarf2.c in the Binary File Descriptor (BFD) library (aka libbfd), as distributed in GNU Binutils 2.29, allows remote attackers to cause a denial of service (memory leak) via a crafted ELF file. 

References:

https://sourceware.org/bugzilla/show_bug.cgi?id=22212
https://sourceware.org/git/gitweb.cgi?p=binutils-gdb.git;h=b55ec8b676ed05d93ee49d6c79ae0403616c4fb0
Comment 1 Andreas K. Hüttel gentoo-dev 2017-10-11 21:04:58 UTC
Patch added to gentoo/binutils-2.29.1 branch
Comment 2 Andreas K. Hüttel gentoo-dev 2017-10-13 18:45:44 UTC
Fixed in 2.29.1-r1
Comment 3 Andreas K. Hüttel gentoo-dev 2017-12-27 22:54:22 UTC
All affected versions are masked. No further cleanup (toolchain package). 

Nothing to do for toolchain here anymore. Please proceed.
Comment 4 D'juan McDonald (domhnall) 2018-01-05 06:42:21 UTC
Added to existing GLSA request.


Gentoo Security Padawan
(Jmbailey/mbailey_j)
Comment 5 GLSAMaker/CVETool Bot gentoo-dev 2018-01-07 23:12:23 UTC
This issue was resolved and addressed in
 GLSA 201801-01 at https://security.gentoo.org/glsa/201801-01
by GLSA coordinator Aaron Bauman (b-man).